Bug 1525561 - Sound broken with kernel 4.14 on Pentium 4 / ICH6
Summary: Sound broken with kernel 4.14 on Pentium 4 / ICH6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: i686
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: x86Tracker
TreeView+ depends on / blocked
 
Reported: 2017-12-13 14:56 UTC by Norbert Jurkeit
Modified: 2017-12-19 21:36 UTC (History)
20 users (show)

Fixed In Version: kernel-4.14.6-300.fc27 kernel-4.14.6-200.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-18 18:51:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Norbert Jurkeit 2017-12-13 14:56:34 UTC
After upgrade to kernel 4.14.3, the sound no longer works on my oldest PC. Instead, speakers and headset issue click noises every second (just one click during startup is normal for this hardware). journalctl doesn't show up any suspicious messages and processes alsactl, pulseaudio and pnmixer run as usual.

The same applies to kernel 4.14.4 with Fedora 26 which is installed on a different partition. Up to kernel 4.13.16 sound worked fine.

The audio device is described by lshw as "82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller".

Comment 1 Jeremy Cline 2017-12-13 15:37:25 UTC
I suspect this is from CONFIG_SND_HDA_POWER_SAVE_DEFAULT being turned from 0 to 1. Can you check to make sure the problem is still present in v4.14.5, then install [0] and see if it goes away? That build turns the setting back to 0.

[0] https://koji.fedoraproject.org/koji/taskinfo?taskID=23668532

Comment 2 Hans de Goede 2017-12-13 16:06:30 UTC
Right, note that an easier way to test this is to pass snd_hda_intel.power_save=0 on the kernel commandline.

Comment 3 Jeremy Cline 2017-12-13 16:13:19 UTC
Ah, yes, that's definitely easier :)

Comment 4 Norbert Jurkeit 2017-12-13 16:41:40 UTC
You are right. I added snd_hda_intel.power_save=0 to the kernel command line in /etc/default/grub, ran grub2-mkconfig and that fixes the issue.

Many thanks to both of you for the quick clarification!

Comment 5 Hans de Goede 2017-12-13 16:50:31 UTC
Hmm, ok.

So I think the best way to fix this is to only set CONFIG_SND_HDA_POWER_SAVE_DEFAULT to 1 on x86_64 builds and not bother with it on old machines which only run 32 bit code.

Basically change:
configs/base-generic/CONFIG_SND_HDA_POWER_SAVE_DEFAULT
back to:
CONFIG_SND_HDA_POWER_SAVE_DEFAULT=0

And create a new:

configs/base-generic/x86/x86_64/CONFIG_SND_HDA_POWER_SAVE_DEFAULT
with:
CONFIG_SND_HDA_POWER_SAVE_DEFAULT=1
in there.

Jeremy, do you agree and can you take care of this?

Regards,

Hans

Comment 6 Jeremy Cline 2017-12-13 16:54:30 UTC
That sounds reasonable to me. I'll take care of it, it should end up in the v4.14.6 stable builds.

Thanks for your help, Hans!

Comment 7 Riku Seppala 2017-12-13 17:36:05 UTC
Is this related https://bugzilla.redhat.com/show_bug.cgi?id=1525104

Comment 8 Fedora Update System 2017-12-14 20:52:33 UTC
kernel-4.14.6-300.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-129969aa8a

Comment 9 Fedora Update System 2017-12-15 11:29:58 UTC
kernel-4.14.6-300.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-129969aa8a

Comment 10 Fedora Update System 2017-12-15 14:30:35 UTC
kernel-4.14.6-200.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ba6b6e71f7

Comment 11 Fedora Update System 2017-12-16 11:24:14 UTC
kernel-4.14.6-200.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ba6b6e71f7

Comment 12 Fedora Update System 2017-12-18 18:51:36 UTC
kernel-4.14.6-300.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-12-19 21:36:42 UTC
kernel-4.14.6-200.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.